import { useEffect } from 'react';
import NextHead from 'next/head';
import initUtag from './utag';

const Head = (props) => {
  useEffect(() => {
    initUtag(props.utag);
  }, []);

  return (
    <NextHead>
      <title
        key='title'
      >
        POLITICO Interactive Style
      </title>

      {/* Fonts */}
      <link key='battletoads' rel='stylesheet' type='text/css' href='https://www.politico.com/interactives/cdn/fonts/battletoads/icons/politico-battletoads-icons.min.css' />
      <link key='fontawesome' rel='stylesheet' href='https://use.fontawesome.com/releases/v5.3.1/css/all.css' integrity='sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU' crossOrigin='anonymous' />
      <link
        key='din' rel='stylesheet' href='https://use.typekit.net/dsx2uhv.css' />
      <link
        key='jubilat'
        rel='stylesheet'
        href='https://use.typekit.net/iyx3svs.css'
      />
      <script
        key='typekit-script'
      >
        {'try{Typekit.load({ async: true });}catch(e){}'}
      </script>
    </NextHead>
  );
};

export default Head;
